<div class="container">
    <div class="ui-g-12" style="background-color: white;">
        <div class="ui-g-12">
            <div class="ui-g-6">
                Nomor Voucher BP
            </div>
            <div class="ui-g-6">
                <input type="text" class="form-control" name="nopayfin" id="field_nopayfin"
                    [(ngModel)]="payment.nopayfin"/>
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
                Kode Rekening
            </div>
            <div class="ui-g-6">
                <select class="form-control" id="field_bank" name="bank" [(ngModel)]="payment.bankcode">
                    <option [ngValue]=""></option>
                    <option [ngValue]="bank.bankcode" *ngFor="let bank of banks;">{{bank.bankname}}</option>
                </select>
            </div>
        </div>
        <div class="ui-g-12 form-group">
            <div class="ui-g-6">
                Tanggal
            </div>
            <div class="ui-g-6 form-group">
                <p-calendar inputId="field_dtpay" name="input_dtpay" [(ngModel)]="dtpay" dateFormat="dd-MM-yy"
                    [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" appendTo="body"
                    [disabled]="!isview" autocomplete="off"></p-calendar>
            </div>
        </div>
        <div class="ui-g-12 form-group">
            <div class="ui-g-6">
                No. Giro / Bayar
            </div>
            <div class="ui-g-6 form-group">
                <input type="text" class="form-control" name="nogiro" id="field_nogiro" [(ngModel)]="payment.nogiro" autocomplete="off" />
            </div>
        </div>
        <div class="ui-g-12 form-group">
            <div class="ui-g-6">
                Nilai
            </div>
            <div class="ui-g-6">
                <input currencyMask class="form-control" name="totalpaid" id="field_totalpaid" [(ngModel)]="totalpaid"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" />
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
                Relasi (Supplier)
            </div>
            <div class="ui-g-6">
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                            (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                            [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                            (onSelect)="selectSupplier(true)" [dropdown]="true" [disabled]='isview'>
                        </p-autoComplete>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Kode Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                            (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                            [minLength]="1" field="kd_suppnew" placeholder="Silahkan Pilih"
                            (onSelect)="selectSupplier(true)" [dropdown]="true" [disabled]='isview'>
                        </p-autoComplete>
                    </div>
                </div>
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
                Keterangan
            </div>
            <div class="ui-g-6">
                <input class="form-control" name="note" id="field_note" [(ngModel)]="payment.note" />
            </div>
        </div>
        <div class="ui-g-12" style="margin-bottom: 50px;">
            <div class="btn-group flex-btn-group-container">
                <button pButton type="submit" label="Bayar" icon="fa-money" class="ui-button-primary flat-label-button"
                    (click)="updatepay()" [disabled]="payment.totalpaid >= payment.totalpay">
                </button>
                <button pButton label="Kembali" class="ui-button-primary flat-label-button" (click)="backMainPage()">
                </button>
            </div>
        </div>
    </div>
    <div style="margin-bottom: 50px;"></div>
</div>
<p-confirmDialog></p-confirmDialog>